Module modFlaggen
    Public ZeichneBilder As New ArrayList      ' bildfelder der form1
    Public BildNr As New ArrayList             ' bildfelder der form frmFlaggen
    Public intBildFeldPosition(23) As Integer  ' bildnummern form1    000
    Public booGesperrt(23) As Boolean          ' klicks unterbinden   000
    Public booGezogen(23) As Boolean           ' zufallszahl gezogen  000
    Private intRandom As New Random            ' zufallszahl
    Public Sub StarteSpiel()
        Dim i As Integer, j As Integer
        Dim intFeld As Integer
        Dim intBildNr As Integer
        For i = 0 To 23                           ' 000
            booGezogen(i) = False
            ZeichneBilder(i).Visible = True
        Next
        For i = 1 To 12                           '  000
            For j = 0 To 1
                intFeld = Feldnummer(0, 23)       ' pic0 - pic23 Form1
                intBildFeldPosition(intFeld) = i  ' bildnummer zuweisen
            Next
            ZeichneBilder(intFeld).Image = BildNr(intBildNr).Image    ' zeichnet bilder nur kontrölle
        Next

        Form1.LblInfo.Text = "Klicke auf ein grünes Feld," _
            & vbCrLf & "oder auf >Vorschau<."
    End Sub

    Private Function Feldnummer(ByVal intTief As Integer, intHoch As Integer)
        Do          '-- zufallszahlen von 0 bis 14
            Feldnummer = intRandom.Next(0, 24)
            If Not booGezogen(Feldnummer) Then
                booGezogen(Feldnummer) = True
                Exit Do
            End If
        Loop
        'Form1.LstBilder.Items.Add(Feldnummer)
        Return Feldnummer
    End Function
    Public Sub ZeichneGrueneFelder()
        Dim i As Integer
        For i = 0 To 23    '  000
            ZeichneBilder(i).Image = BildNr(0).Image
            '-- zeichnet gruene bilder (frmFlaggen.picFlagge0.Image)
        Next
    End Sub
    Public Sub Vorschau()
        Dim i As Integer
        For i = 0 To 23    '  000
            ZeichneBilder(i).Image = BildNr(intBildFeldPosition(i)).Image
        Next
    End Sub
    Public Sub SperreKlicks()
        Dim i As Integer
        For i = 0 To 23 : booGesperrt(i) = True : Next   '   000
    End Sub
    Public Sub GibKlicksFrei()
        For i = 0 To 23 : booGesperrt(i) = False : Next   '   000
    End Sub
End Module
